-- phpMyAdmin SQL Dump
-- version 4.8.5
-- https://www.phpmyadmin.net/
--
-- Hôte : 127.0.0.1:3306
-- Généré le :  mar. 02 juin 2020 à 13:45
-- Version du serveur :  5.7.26
-- Version de PHP :  7.2.18

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `projet`
--

-- --------------------------------------------------------

--
-- Structure de la table `employe`
--

DROP TABLE IF EXISTS `employe`;
CREATE TABLE IF NOT EXISTS `employe` (
  `IDEMPLOYE` int(15) NOT NULL AUTO_INCREMENT,
  `MDP` char(32) NOT NULL,
  `CATEGORIE` char(32) NOT NULL,
  PRIMARY KEY (`IDEMPLOYE`)
) ENGINE=MyISAM AUTO_INCREMENT=68 DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `employe`
--

INSERT INTO `employe` (`IDEMPLOYE`, `MDP`, `CATEGORIE`) VALUES
(18, 'belen77', 'agent'),
(19, 'vinc55', 'agent'),
(20, 'vinc55', 'agent'),
(21, 'vin77', 'medecin'),
(22, 'gfffy', 'medecin'),
(23, 'direct88', 'directeur'),
(24, 'medicina88', 'medecin'),
(25, 'giorgimed41', 'medecin'),
(26, 'fatah14', 'agent'),
(27, 'fatamedico', 'medecin'),
(28, 'moma41', 'agent'),
(29, 'fama04', 'agent'),
(30, 'espiunique77', 'agent'),
(31, 'espiunique77', 'agent'),
(32, 'alain54', 'agent'),
(33, 'charlesmagne77', 'agent'),
(34, 'charlesmagne77', 'agent'),
(38, 'charlesmagne77', 'agent'),
(39, 'alain2', 'agent'),
(40, 'alain2', 'agent'),
(41, 'alain2', 'agent'),
(42, 'alain2', 'agent'),
(43, 'alain2', 'agent'),
(44, 'alain2', 'agent'),
(45, 'alain2', 'agent'),
(46, 'alain2', 'agent'),
(47, 'alain2', 'agent'),
(48, 'alain2', 'agent'),
(49, 'alain2', 'agent'),
(50, 'alain2', 'agent'),
(51, 'alain2', 'agent'),
(52, 'agenttop45', 'agent'),
(53, 'alain2', 'agent'),
(54, 'alain2', 'agent'),
(55, 'alain2', 'agent'),
(56, 'alain2', 'agent'),
(57, 'alain2', 'agent'),
(58, 'alain2', 'agent'),
(59, 'alain2', 'agent'),
(60, 'alain2', 'agent'),
(61, 'alain2', 'agent'),
(62, 'alain2', 'agent'),
(63, 'alain2', 'agent'),
(64, 'alain2', 'agent'),
(65, 'alain2', 'agent'),
(66, 'alain2', 'agent'),
(67, 'alain2', 'agent');

-- --------------------------------------------------------

--
-- Structure de la table `medecin`
--

DROP TABLE IF EXISTS `medecin`;
CREATE TABLE IF NOT EXISTS `medecin` (
  `IDEMPLOYE` int(15) NOT NULL AUTO_INCREMENT,
  `DATE` date NOT NULL,
  `HEURE` time NOT NULL,
  `NOMM` char(32) DEFAULT NULL,
  `PRENOMM` char(32) DEFAULT NULL,
  `SPECIALITE` char(32) DEFAULT NULL,
  PRIMARY KEY (`IDEMPLOYE`),
  KEY `I_FK_MEDECIN_CRENEAUX` (`DATE`,`HEURE`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `motif`
--

DROP TABLE IF EXISTS `motif`;
CREATE TABLE IF NOT EXISTS `motif` (
  `ID_MOTIF` int(15) NOT NULL AUTO_INCREMENT,
  `LIBELLE` char(32) DEFAULT NULL,
  `PRIX` int(4) DEFAULT NULL,
  `PIECES` char(32) DEFAULT NULL,
  PRIMARY KEY (`ID_MOTIF`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `patient`
--

DROP TABLE IF EXISTS `patient`;
CREATE TABLE IF NOT EXISTS `patient` (
  `NSS` varchar(32) NOT NULL,
  `IDRDV` int(2) NOT NULL,
  `NOM` char(32) DEFAULT NULL,
  `PRENOM` char(32) DEFAULT NULL,
  `ADRESSE` char(32) DEFAULT NULL,
  `NUMTEL` int(10) DEFAULT NULL,
  `DATENAISS` date DEFAULT NULL,
  `DEPARTNAISS` int(2) DEFAULT NULL,
  `SOLDE` int(16) DEFAULT NULL,
  PRIMARY KEY (`NSS`),
  KEY `I_FK_PATIENT_RDV` (`IDRDV`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `patient`
--

INSERT INTO `patient` (`NSS`, `IDRDV`, `NOM`, `PRENOM`, `ADRESSE`, `NUMTEL`, `DATENAISS`, `DEPARTNAISS`, `SOLDE`) VALUES
('120054500112015', 0, 'dupont', 'alain', '2 rue de George I', 755418955, '2020-05-07', 45, 2200),
('118014400112253', 0, 'Momar', 'Ndoye', '2 rue de George', 755119454, '2018-01-04', 44, 3000);

-- --------------------------------------------------------

--
-- Structure de la table `rdv`
--

DROP TABLE IF EXISTS `rdv`;
CREATE TABLE IF NOT EXISTS `rdv` (
  `IDRDV` int(2) NOT NULL AUTO_INCREMENT,
  `ID_MOTIF` char(32) NOT NULL,
  `IDEMPLOYE` char(32) NOT NULL,
  `DATERDV` date DEFAULT NULL,
  `HEURERDV` time DEFAULT NULL,
  PRIMARY KEY (`IDRDV`),
  KEY `I_FK_RDV_MEDECIN` (`IDEMPLOYE`),
  KEY `I_FK_RDV_MOTIF` (`ID_MOTIF`)
) ENGINE=MyISAM AUTO_INCREMENT=133 DEFAULT CHARSET=utf8;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
